## org.apache.hadoop.security.token.delegation
Class AbstractDelegationTokenSecretManager.DelegationTokenInformation

    java.lang.Object
      org.apache.hadoop.security.token.delegation.AbstractDelegationTokenSecretManager.DelegationTokenInformation

Enclosing class:
  AbstractDelegationTokenSecretManager<TokenIdent extends AbstractDelegationTokenIdentifier>

    public static class AbstractDelegationTokenSecretManager.DelegationTokenInformation

extends Object

Class to encapsulate a token's renew date and password.

Constructor Summary
`AbstractDelegationTokenSecretManager.DelegationTokenInformation(long renewDate, byte[] password)`

Method Summary
`long` `getRenewDate()` returns renew date

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDelegationTokenSecretManager.DelegationTokenInformation

    public AbstractDelegationTokenSecretManager.DelegationTokenInformation(long renewDate,
                                                                           byte[] password)

Method Detail

### getRenewDate

    public long getRenewDate()

  returns renew date

Copyright © 2009 The Apache Software Foundation